@import "../variables";

:root{
    --white:#ffffff;
    --black:#191919;
    --red: rgb(122, 13, 13);
  }

.projects h1, .title{
    font-family: 'Caveat Brush', cursive; 
    font-size: 3em;
}


.projects {
    background-color: $back-dark;
    color: $text-dark;
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    padding-top: 80px;
    padding-bottom: 80px;
    border-bottom: 30px dashed rgba(var(--red), 0.3);
    &.dark {
        background-color: $back-light;
        color: $text-light;
    }
    border-bottom: 20px dashed var(--red);
  }

  .projects h3{
    font-family: 'Caveat Brush', cursive; 
  }

  .projectsContainer {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: row;
    flex-wrap: wrap;
  }
  
  .card {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    text-align: center;
    background-color: $back-dark;
    color: $text-dark;
    padding: 30px;
    width: 75%;
    max-width: 350px;
    min-height: 400px;
    margin: 30px;
    box-shadow: 0 0rem 0.4rem rgba(grey, 0.2);
    z-index: 0;
    border-radius: 10px;
    transition: ease-in all 2s;
    &.dark {
        background-color: $back-light;
        color: $text-light;
        box-shadow: 0 0rem 0.5rem rgba(0, 0, 0, 0.3);
      }
}
  
  .img {
    padding: 10px;
    height: 200px;
    margin: 10px auto;
    object-fit: cover;
    box-shadow: 0 0 0.3rem rgba(grey, 0.2);
  }
  
  .title {
    padding: 5px 0;
    font-size: 28px;
    letter-spacing: 1px;
  }
  
  .description {
    padding: 10px 20px 20px 20px;
  }
  
  .techContainer {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
    position: absolute;
    visibility: hidden;
    bottom: 0;
    width: 400px;
    padding: 20px;
    opacity: 0;
    transition: 0.15s;
    transform: translateY(-120px) translateX(-15%);
    border-radius: 10px;
    
  }

  .techContainer::before{
    content:"";
    position: absolute;
    width: 30px;
    height: 30px;
    background:  var(--red);
    bottom: -15px;
    transform: rotate(45deg);
  }
  
  .container:hover .techContainer {
    background-color:  var(--red);
    opacity: 1;
    visibility: visible;
    transform: translateY(-110px) translateX(-15%);
  }
  
  .technologies {
    border-radius: 12px;
    background-color: var(--black);
    padding: 10px;
    margin: 3px;
    color: var(--white);
  }
  
  .techStack {
    position: relative;
    margin: 5px auto;
    background-color: var(--red);
    width: 90%;
    padding: 10px;
    color: var(--white);
    cursor: pointer;
  }
  
  .linkContainer {
    display: flex;
    flex-direction: row;
    justify-content: center;
    margin: 10px;
  }
  
  .noLink {
    border: 1px solid rgba(grey, 0.3);
    min-width: 45%;
    border-radius: 100px;
    padding: 10px;
    margin: 10px;
    text-decoration: none;
    color: grey;
    transition: all 0.2s;
    cursor: pointer;
    
  }
  
  .link {
    border: 1px solid rgba(var(--red), 1);
    min-width: 45%;
    border-radius: 100px;
    padding: 10px;
    margin: 10px;
    text-decoration: none;
    color: var(--white);
    transition: all 0.2s;
        
  }

  .link:hover {
    transform: scale(1.05);
    font-weight: bold;
    color:var(--red);
    box-shadow: 0 0 0.5rem rgba(#ffffff, 0.05);
  }
  
  @media only screen and (max-width: 650px) {
    img {
      width: 100%;
    }
    .projects {
      display: flex;
      margin: 0 auto;
      text-align: center;
    }
  }
  
  @media only screen and (min-width: 650px) {
    .img {
      width: 250px;
    }
  }